Bug 207308 - Macbook LCD backlight does not turn on after suspend from resume.
Macbook LCD backlight does not turn on after suspend from resume.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 12:01 EDT by Wade Mealing
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 20:28:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2006-09-20 12:01:52 EDT
Description of problem:

After suspending with the gnome applet or pm-suspend application, the system
will return to a "working" mode by pressing the power button, however the system
does not enable/turn on the backlight after the resume

/etc/pm/config has the option for:

HIBERNATE_RESUME_POST_VIDEO=yes
or
HIBERNATE_RESUME_POST_VIDEO=no

Both have the same end result.

Version-Release number of selected component (if applicable):

kernel-2.6.17-1.2647.fc6
pm-utils-0.19-3

How reproducible:

Every time.
Steps to Reproduce:
1. Left Click on the gnome panel applet
2. Choose Suspend, watch machine enter suspend mode
3. press power button, watch machine resume with x11 applications running but
with no backlight on.
  
Actual results:

Backlight is not on, but the system is still functional.

Expected results:

Backlight to turn on, and the people rejoice.


Additional info:

Thanks guys, rock on.
Comment 1 Wade Mealing 2006-09-20 12:03:46 EDT
This was tested from both X11 and runlevel 3.
Comment 2 Wade Mealing 2006-10-05 01:49:38 EDT
After testing it now, it gets worse.  Before I could see something on the screen
ever so dimly.  Now I can not do that.

Would be nice if this didn't flick back from working, to non working, to even
worse between kernel updates.
Comment 3 Phil Knirsch 2006-10-09 23:49:03 EDT
That sounds clearly like either a X11 driver problem but more likely like a
kernel problem.

Reassigning to kernel.

Read ya, Phil
Comment 4 Wade Mealing 2006-10-24 22:22:36 EDT
Same problem exists in FC6 release, does not return from resume.

Comment 5 Wade Mealing 2007-02-19 20:25:19 EST
Installed FC7Test1, now resumes from suspend !.

Clost this bug, WORKSFORME.
Comment 6 Wade Mealing 2007-02-19 20:25:42 EST
Installed FC7Test1, now resumes from suspend !.

Close this bug, WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.